"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.mermaidPlugin = void 0;
var sdh_1 = require("@connectv/sdh");
var jsdom_global_1 = __importDefault(require("jsdom-global"));
var components_1 = require("./components");
var renderer = new sdh_1.StaticRenderer();
jsdom_global_1.default();
function mermaidPlugin(config) {
    return function () {
        var options = (config) ? config : { startOnLoad: true };
        return {
            markdown: {
                customComponents: {
                    Mermaid: components_1.Mermaid,
                }
            },
            page: {
                scripts: [
                    renderer.create("script", { src: "https://cdn.jsdelivr.net/npm/mermaid@8.11.2/dist/mermaid.min.js" }),
                    renderer.create("script", null, "mermaid.initialize(" + JSON.stringify(options) + ");\n                        window.addEventListener('navigation', () => { mermaid.init(); });\n                        console.log('Mermaid Plugin Initialized');")
                ]
            }
        };
    };
}
exports.mermaidPlugin = mermaidPlugin;
//# sourceMappingURL=index.js.map