import { StaticRenderer } from '@connectv/sdh';
import register from 'jsdom-global';
import { Mermaid } from "./components";
const renderer = new StaticRenderer();
register();
export function mermaidPlugin(config) {
    return function () {
        const options = (config) ? config : { startOnLoad: true };
        return {
            markdown: {
                customComponents: {
                    Mermaid,
                }
            },
            page: {
                scripts: [
                    renderer.create("script", { src: `https://cdn.jsdelivr.net/npm/mermaid@8.11.2/dist/mermaid.min.js` }),
                    renderer.create("script", null, `mermaid.initialize(${JSON.stringify(options)});
                        window.addEventListener('navigation', () => { mermaid.init(); });
                        console.log('Mermaid Plugin Initialized');`)
                ]
            }
        };
    };
}
//# sourceMappingURL=index.js.map